Get a suggestion generation
curl --request GET \
--url https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId} \
--header 'Authorization: <authorization>'import requests
url = "https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"source": "<string>",
"keywordId": {},
"recommendations": {},
"createdAt": "<string>",
"completedAt": {}
}Prompt suggestions
Get a suggestion generation
Read the status of one Prompt Studio generation: pending, running, completed or failed, with the number of recommendations once it has finished.
GET
https://www.qwairy.co
/
api
/
v1
/
brands
/
{brandId}
/
prompt-suggestions
/
runs
/
{suggestionRunId}
Get a suggestion generation
curl --request GET \
--url https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId} \
--header 'Authorization: <authorization>'import requests
url = "https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://www.qwairy.co/api/v1/brands/{brandId}/prompt-suggestions/runs/{suggestionRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"source": "<string>",
"keywordId": {},
"recommendations": {},
"createdAt": "<string>",
"completedAt": {}
}Returns the status of one generation. This is the resource identified by the
Read errors use the flat or nested shapes described in Error codes. On
Location header from
Generate prompt suggestions. When it is
COMPLETED, read the suggestions with
Get prompt suggestions.
Available on Growth, Agency Growth, Business, Agency Business and Enterprise plans. See Authentication.
Response
Synthetic request and response
curl "https://www.qwairy.co/api/v1/brands/$BRAND_ID/prompt-suggestions/runs/$SUGGESTION_RUN_ID" \
-H "Authorization: Bearer $QWAIRY_API_TOKEN"
{
"id": "bbbbbbbb-0000-4000-8000-000000000000",
"status": "COMPLETED",
"source": "manual",
"keywordId": null,
"recommendations": 20,
"createdAt": "2026-10-12T09:00:00.000Z",
"completedAt": "2026-10-12T09:02:00.000Z"
}
Errors
| Status | Code | Cause |
|---|---|---|
401 | Flat body | Missing or invalid token |
403 | INSUFFICIENT_PLAN | Generic plan refusal: “This endpoint is not included in the team’s plan.” |
404 | RESOURCE_NOT_FOUND | The workspace or generation is missing or inaccessible |
429, honor Retry-After.
